echo "Building @NAME@ (via Makefile)"
export MAKE_OBJDIR="$(pwd)/obj/@NAME@"
mkdir -p "${MAKE_OBJDIR}"

# @TODO@ pass in additional arguments here (in particular CFLAGS and LDLIBS)
VPATH="$(pwd)/src/@NAME@" \
    make -f "$(pwd)/src/@NAME@/Makefile" \
    -C "${MAKE_OBJDIR}" \
    CC="${CC}" \
    CFLAGS="${CFLAGS}" \
    LDLIBS="" \
    default

if [ "$?" -eq 0 ]
then
    print_success "Done"
else
    print_failure "Make failed"
    exit 1
fi

# vim: syntax=sh:@VIM_MODELINE@
